function alfa = dispLocations(P,dd)
%
%dispLocations(P,dd)
%
%Megjelenti a lokalizci mrsi eredmnyeit 3 mote esetn.
%Paramterek:
%P: a moteok pozciit tartalmaz cella. Az i-edik cella az i-edik motehoz
%tartozik. Egy-egy cellhoz tartoz vektor az adott mote x-y koordintit
%tartalmazza.
%dd: az egyes moteprok esetn az rkezsi id klnbsgt kell megadni.
%1. motepr: 1-2
%2. motepr: 1-3
%3. motepr: 2-3
%
%Pl.:
%P{1} = [0,0];      %az 1. mote koordinti:  x=0cm    , y=0cm
%P{2} = [40,0.1];   %a  2. mote koordinti:  x=40.01cm, y=0.1cm
%P{3} = [41,50];    %a  3. mote koordinti:  x=41.00cm, y=50cm
%
%dd{1} = 49;       %az 1. mote 49 cm-rel tvolabb van, mint a 2. mote
%dd{2} = 24;       %a  1. mote 24 cm-rel tvolabb van, mint a 3. mote
%dd{3} =-23;       %a  2. mote 23 cm-rel kzelebb van, mint a 3. mote

moteSzam = 3;
szin=['b' 'r' 'g' 'm' 'k' 'y'];

leftX  = -150;
rightX =  150;
bottY  = -150;
topY   =  150;

Dscale = 1.2;
frameDisp = [leftX rightX bottY topY]*Dscale;

%moteok kirajzolsa
fig=figure(135);set(fig,'Name','Pozcibecsls skhullmok felttelezsvel')
clf
for mote=1:moteSzam
    plot(P{mote}(1),P{mote}(2),'ks','linewidth',3)
    hold on
    texM=text(P{mote}(1)+5*Dscale,P{mote}(2)-5*Dscale,['mote' num2str(mote)]);
end    
hold off
axis(frameDisp)

motePar = 0;
for mote1=1:moteSzam-1
    for mote2 = [(mote1+1):moteSzam]
        motePar = motePar+1;
        aOld = (P{mote2}(2)-P{mote1}(2));
        bOld = (P{mote2}(1)-P{mote1}(1));
        if (bOld==0) bOld = aOld*eps;end%
        beta(motePar) = atan( aOld / bOld );
        beta(motePar) = angle( (aOld*j + bOld) );
        %beta(motePar)*180/pi
        P0{motePar} = (P{mote1}+P{mote2})/2;
    end
end

%mote1=1;mote2=2; beta{1} = atan((P{mote1}(2)-P{mote2}(2))/(P{mote1}(1)-P{mote2}(1)));
%mote1=1;mote2=3; beta{2} = atan((P{mote1}(2)-P{mote2}(2))/(P{mote1}(1)-P{mote2}(1)));
%mote1=2;mote2=3; beta{3} = atan((P{mote1}(2)-P{mote2}(2))/(P{mote1}(1)-P{mote2}(1)));

%moteprok kzppontjnak kiszmtsa
%mote1=1;mote2=2; P0{1} = (P{mote1}+P{mote2})/2;
%mote1=1;mote2=3; P0{2} = (P{mote1}+P{mote2})/2;
%mote1=2;mote2=3; P0{3} = (P{mote1}+P{mote2})/2;


%moteprok kzppontjnak kirajzolsa
for mote=1:moteSzam
hold on
    plot(P0{mote}(1),P0{mote}(2),[szin(mote) 'x'])
end        

hold off
axis(frameDisp)

%d{i}: i-edik motepr tvolsgnak szmtsa
motePar = 0;
for mote1=1:moteSzam-1
    for mote2 = [(mote1+1):moteSzam]
        motePar = motePar+1;
        aOld = (P{mote1}(1)-P{mote2}(1));
        bOld = (P{mote1}(2)-P{mote2}(2));
        d{motePar} = sqrt( aOld^2 + bOld^2 );
    end
end

%mote1=1;mote2=2;d{1} = sqrt((P{mote1}(1)-P{mote2}(1))^2+(P{mote1}(2)-P{mote2}(2))^2);
%mote1=1;mote2=3;d{2} = sqrt((P{mote1}(1)-P{mote2}(1))^2+(P{mote1}(2)-P{mote2}(2))^2);
%mote1=2;mote2=3;d{3} = sqrt((P{mote1}(1)-P{mote2}(1))^2+(P{mote1}(2)-P{mote2}(2))^2);


%berkezs szgnek kiszmtsa
for motePar = 1:3
    alfa(motePar) = acos(dd{motePar}/d{motePar});
    if (abs(dd{motePar})>abs(d{motePar})) %ha a mrsben nagyobb rkezsiid-klnbsg addna 
        alfa(motePar) = acos(sign(dd{motePar}/d{motePar}));
    end
end    
    
%alfa{1} = acos(dd{1}/d{1});
%if (abs(dd{1})>abs(d{1})) alfa{1} = acos(sign(dd{1}/d{1}));end
%alfa{2} = acos(dd{2}/d{2});
%if (abs(dd{2})>abs(d{2})) alfa{2} = acos(sign(dd{2}/d{2}));end
%alfa{3} = acos(dd{3}/d{3});
%if (abs(dd{3})>abs(d{3})) alfa{3} = acos(sign(dd{3}/d{3}));end



%(alfa{1}+beta{1})*180/pi
%(alfa{2}+beta{2})*180/pi
%(alfa{3}+beta{3})*180/pi


%flegyenesek kirajzolsa a lehetsges rkezsi irnyok fel
feHossz = 400;
hold on
for moteP = 1:moteSzam
   plot([P0{moteP}(1),P0{moteP}(1)+cos(alfa(moteP)+beta(moteP))*feHossz],...
       [P0{moteP}(2),P0{moteP}(2)+sin(alfa(moteP)+beta(moteP))*feHossz],...
       szin(moteP+0))

   hold on
   plo=plot([P0{moteP}(1),P0{moteP}(1)+cos(-alfa(moteP)+beta(moteP))*feHossz],...
       [P0{moteP}(2),P0{moteP}(2)+sin(-alfa(moteP)+beta(moteP))*feHossz],...
       szin(moteP+0));
    set(plo,'LineStyle','--');
end

hold off

axis(frameDisp)
pos = get(gcf,'Position');
set(gcf,'Position',[pos(1:2) 525 497])

grid
